Софтпанорама 1991, No. 3 (17)  *** NEWS ***   Составитель: Н.Н. БЕЗРУКОВ
************************************************************************

                 ***************************************
                 *       П О З Д Р А В Л Я Е М !!!     *
                 ***************************************

   Поздравляю всех читательниц бюллетеня с прошедшим праздником и желаю
им здоровья, личного счастья и успехов в программировании.

                                                                   Б.Н.Н.


                 ***************************************
                 *  П А Н О Р А М А   Н О В О С Т Е Й  *
                 ***************************************

          ПРЕМИЯ ОБЩЕСТВА СИСТЕМНЫХ ПРОГРАММИСТОВ ЗА 1990 ГОД
                      ПРИСУЖДЕНА ИГОРЮ СВИРИДОВУ

   На состоявшемся 14 февраля заседании премия общества системных  прог-
раммистов за 1990 год присуждена Игорю Свиридову, организовавшему первую
точку FIDO в Киеве. Результаты голосования (на голосование ставились две
кандидатуры: Л.Обухова и И.Свиридова) по данным счетной комиссии, в кото-
рую вошли В.Быков, В.Базалий и А.Шеховцов, следующие:

                 "за"  "против" "воздержались"
    Свиридов И.   82      68         26
    Обухов Л.     68      82         26

   Премия была вручена победителю непосредственно на заседании. В своем
выступлении по  случаю присуждения  премии И.Свиридов  рассказал о своих
планах по созданию в Киеве узла сети InterNet.

                                                                   Б.Н.Н.

************************  ЗАМАНИЛИ...ОБОБРАЛИ ?  ***********************
************* (АН СССР в роли  японского троянского коня ***************
******* в  несостоявшемся советско-японском конкурсе программ) *********

   СОФТПАНОРАМА  публиковала  условия  конкурса программ, проводившегося
Госкомобразованием совместно японскими фирмами АСКИ и СИНДЗИДАЙСЯ.  Кон-
курс не состоялся в результате того, что, по данным японской стороны, Го-
собразование поставило вопрос о своих правах (авторских и  коммерческих)
на все имеющие отношение к конкурсу программы только в декабре  прошлого
года, непоредственно перед началом конкурса. Японская сторона эти прете-
нции отвергла, заявив, что  идут вразрез с первоначальной  договореннос-
тью.
   При этом,  по данным  "Комсомольской правды"  ( 22  февраля 1991  г.)
"японцы браконьерски вывезли из  СССР более 800 компьютерных  программ".
Эту возможность наши чиновники  предоставили им сами: программы  на кон-
курс поступали по двум линиям  - Гособразования и Академии наук.  Причем
чиновники из  Госкомобразования утверждают,  что АН  СССР подключилась к
конкурсу без их  ведома и согласия.  Японцы утверждают обратное.  В том,
что они вывезли все программы поступившие по академической линии, по за-
явлению японцев никакого криминала нет. Авторские права, мол,  принадле-
жат исключительно авторам, им в случае успеха на японском рынке полагае-
тся обещанные 5% прибыли и Гособразование здесь ни при чем. Какие  "сок-
ровища" достались  фирмам АСКИ  и СИНДЗИДАЙСЯ  и есть  ли среди них игры
уровня ТЕТРИС, способные завоевать  мировой рынок, пока неясно.  Однако
японские фирмы попали под огонь японской же прессы (наша молчала до февраля
 1991 г.), которая окрестила эту историю "тяжбой за гору  сокровищ".
В результате АСКИ заявила, что не будет запускать в продажу работы учас-
тников нелепо завершившегося конкурса и, соответственно, освобождает се-
бя от обязательств  по их вознаграждению.  Второе сомнений не  вызывает.
Первое же, откровенно говоря, сомнительно, поскольку методы промышленно-
го шпионажа у японцев поставлены так, что у руководителей американских и
европейских фирм непрерывно по этому поводу болит голова, а  доставшуюся
(да еще бесплатно) "добычу" акулы японского бизнеса обычно не упускают.
   Советские  орлы-организаторы  естественно  остались   безнаказанными.
Впрочем, во  всей этой  слишком типичной  для наших  отношений с Западом
(точнее с Востоком) истории, нет ничего необычного. Методы, которыми ко-
лонизаторы грабили жителей Африки (а местные царьки им обычно помогали),
без осечки срабатывают у нас. И термин "сырьевая полуколония" по отноше-
нию к нашей стране это отнюнь не метафора, если учесть уровень жизни на-
селения. Наивно  думать, что  в условиях,  когда авантюристы  всех стран
учат русский язык, а правительство Павлова "перекрывает кислород" респе-
ктабельным иностранным фирмам, к нам поедут порядочные бизнесмены.
   Впрочем нашим программистам к беззастенчивому обиранию не привыкать и
японские методы выглядят довольно гуманными по сравнению с практикуемыми
государственными организациями. Те вообще конфискуют программы, да еще и
заставляют писать к ним документацию.  А эдесь, может хоть некоторых  из
обобранных программистов японцы пригласят на работу в Страну восходящего
солнца. По имеющимся у автора данным туда недавно уехал Вадим  Герасимов
- один из авторов Тетриса.

                                                                   Б.Н.Н.


***** КОМПЬЮТЕРНАЯ ВИРУСОЛОГИЯ: ПРИНИМАЮТСЯ ПРЕДВАРИТЕЛЬНЫЕ ЗАКАЗЫ *****

   Приниматься предварительные заказы на издаваемую в 1 квартале  моног-
рафию "Компьютерную вирусологию" (25 п.л.(416 стр) в мягкой обложке)  от
частных лиц (заказ оформляется на стандартной почтовой карточке, цена  1
экз. - 5 руб., без предоплаты. Срок приема заказов до 31 марта) и  орга-
низаций (по гарантийным письмам на имя директора Авиацентра.  Ориентиро-
вочная (если предстоящее подорожание не коснется дискет, то  окончатель-
ная) цена: 25  руб за комплект  (с пересылкой 30  руб.), состоящий из  1
экз. монографии и дискеты с первой редакцией второй части работы  (вклю-
чая не вошедшую в книгу гл.10 редакции 5.5, изменений к прил.1-5 и  доп.
материалов по новым вирусам. Срок приема заказов до 1 мая). Бланк заказа
приведен в коммерческом приложении.
   Из полученной прибыли предполагаеся финансировать работы по  созданию
BBS и проведение второй олимпиалы по системному програмированию (предпо-
лагается установить пять стипендий сроком на десять месяцев: одну в раз-
мере 100 руб. в месяц (за первое место), две по 75 руб. (за второе  мес-
то) и три по 50 руб (за третье место)). Ориентировочный срок  проведения
олимпиалы - вторая половина апреля. Точная дата будет установлена на ап-
рельском заседании семинара.

                                                                   Б.Н.Н.

*************************** ЗЕЛЕН ВИНОГРАД *****************************
**** (MNP-5 НЕ ОСОБЕННО ВАЖЕН  ПРИ ИСПОЛЬЗОВАНИИ ПРОТОКОЛА ZMODEM) *****

    Эксперименты с MNP-5, проведенные И.Свиридовым показали, что при ис-
пользовании Silver  Express и  протокола ZModem  схема шумоподавления  и
сжатия не особенно важна на MS DOS. Она наиболее полезна при  проведении
реальных электронных конференций, в частности при непосредстенном чтении
почты в BBS. Учитывая всеобщее подорожание, которое коснется и моджемом,
для удешевления есть смысл отказаться от MNP-5.


***************** СОФТПАНОРАМА ПЕРЕХОДИТ НА  LH 2.0 ********************

   Появившаяся в феврале новая версия архиватора позволяет сжимать файлы
примерно на 10% лучше, чем PKZIP 1.1. Переход на этот архиватор является
ответом редакции  Софтпанорамы на  введение дополнительного  5% налога с
продаж, что позволит компенсировать потери, вызванные этой акцией  союз-
ного правительства, для тех, кто подпишется на бюллетень с марта или по-
зднее.
   Версия 2.0 помещена в данном выпуске. К сожалению работать с ней  че-
рез SHEZ 5.5 нельзя.
                                                                   Б.Н.Н.


********* ARJ ПРЕОДАЛЕВАЕТ БАРЬЕР "ОДИН АРХИВ - ОДНА ДИСКЕТА" **********

   Появившийся новый архиватор ARJ обеспечивает приблизительно такую  же
степень упаковки как  и LHA 2.0,  однако работает значительно  медленнее
(медленнее него работает только CHARC). Однако он первым из  архиваторов
стал обеспечивать  возмоджность создания  многодискетных архивов  (шаг в
направлении Fastback Plus)
   Версия 1.0 помещена в данном выпуске.

                                                                   Б.Н.Н.


************************** MULTIEDIT 5.0 !!! ***************************
*********** ПРОТОТИП ИНТЕГРИРОВАННОЙ СРЕДЫ НОВОГО ПОКОЛЕНИЯ ************

   Наконец-то появившаяся  в СССР  пятая версия  существенно превосходит
получившую значительную  популярность (не  без содействия  Софтпанорамы)
четвертую версию  и по-сути  представляет собой  не только  и не столько
"супер-редактор", сколько прототип нового поколения языков  программиро-
вания. Последние можно назвать языками программирования, интегрированны-
ми с собственной  турбо-средой. Следует отметить,  что с другой  стороны
шаг в  это новое  поколение "языков  программирования, интегрированных с
собственной турбо-средой" сделан фирмой Борланд, включившей модули инте-
грированной среды в дистрибутив Турбо-Паскаля 6.0.
   По оценке автора, много лет читавшего курс системного  программирова-
ния в КИИГА, пятая версия MultiEdit перспективна в качестве  "лаборатор-
ного стенда" для обучения  студентов этому предмету. Это,  пожалуй, одна
из немногих сред, где небольшие системные программки представляют значи-
тельный практический интерес. Например программа перекодирования русских
букв в латинские (и наоборот)  может вполне быть написана и  отлажена за
одну-две лабораторные работы. Причем полезность ее видна сразу, что  не-
сомненно стимулирует интерес к предмету. Конечно же, предлагаемая  пятой
версией языковая среда полезна не только и не столько для студентов. Это
достаточно серьезный  язык с  отладчиком и  мощным оконным  интерфейсом.
Многие задачи текстовой обработки и построения деловых приложений  (нап-
ример система контроля исполнения, системы облегчения делопроизводства и
вспомогательные средства для руководителя, текстовые базы данных и  тому
подобные продукты) успешно решаются c помощью языка MultiEdit и я вполне
представляю себе появление "программистов на языке MuliEdit".
   В этих условиях необходима активизация клуба MultiEdit нашего общест-
ва. Я думаю, что первым шагом в этом направлении может быть  регистрация
разработчиков, пишущих на языке MultiEdit, которую можно провести к апре-
льскому заседанию. После регистрации члены клуба смогут выбрать президе-
нта клуба, который будет отвечать за соответствующую рубрику  бюллетеня.
Программы на языке MultiEdit в ближайшее время будут включаться в  бюллетень
 без очереди.

                                                                   Б.Н.Н.

*********************** MS DOS 5.0 ИЛИ DR DOS 5.0 ? *******************

   Хотя последняя  бета-версия MS-DOS  5.0 представлена  на рассмотрение
независимых экспертов с заверениями в том, что это действительно послед-
няя версия, и выпуск  продукта в свет ожидается  в марте этого года,  не
исключено, что окончательная версия появится не раньше осени этого года.
   Между тем, Digital Research уже выпустила на рынок DR-DOS 5.0 и  зая-
вила о своей готовности выпустить на рынок DR-DOS 6, которая помимо усо-
вершенствований MS-DOS включает элементы, которых в ней нет.  Тестирова-
ние показало, что DR-DOS 5.0 работает достаточно устойчиво и  предостав-
ляет те же преимущества,  что и MS DOS  5.0, но без риска,  связанного с
эксплуатацией бета-версии.  Кстати некоторые  ранние бета  версии MS DOS
портили файловую систему отчего пострадали десятки пользователей, поспе-
шивших перейти на эти версии.

                                                                   Б.Н.Н.



******************   WORD PERFECT НЕ ПРОЙДЕТ ИЛИ ***********************
********* НЕ ПРОЙДЕТ И ПОЛГОДА КАК К НАМ ПОПАДЕТ MS WORD 5.5 ***********

   Пользователей популярного в нашей  стране редактора MS WORD  наверное
заинтересует тот факт, что январе в Англии поступила в продажу версия 5.5
этого текстового процессора. В Word 5.5 меню располагается вверху  экра-
на, а не внизу, как  в предыдущих версиях, а пользовательский  интерфейс
похож на интерфейс пакета Works. Версия содержит средства и утилиты, уп-
рощающие переход к новому интерфейсу. Специальная команда в меню показы-
вает изменения в терминологии и функционировании клавиш. Возможно  также
использование функциональных клавиш, как в версии 5.0. Версия 5.5.  тре-
бует ОЗУ не менее 384  КБайт. Программа поддерживает работу в  локальной
сети.
                                    По материалам
                                    Newsbytes News Network, 21 Jan, 1991



========================  XTREE САЖАЕТ ДЕРЕВЬЯ =========================

   Компания XTree выпустила новую версию своей программы работы с диска-
ми XTreeGold 2.0, причем  фирма за каждую присланную  ей регистрационную
карточку обещает посадить одно дерево. Цена пакета - 149 долл., для вла-
дельцев предыдущих версий - 35 долл.

                                     Newsbytes News Network, 7 Jan, 1991


=========== СКАНИРОВАНИЕ ТЕКСТА СО СКОРОСТЬЮ 2500 СЛОВ В МИНУТУ ========

   Если вам нужно сканировать тысячи страниц текста, то может  оказаться
полезной новая система оптического распознавания символов (ОРС) Parallel
Reader фирмы Caere Corporation. Parallel Reader, основанный на 386SX ко-
мпьютере читает от 220 до 700 символов в секунду (2500 слов в минуту)  с
наивысшей достигнутой точностью. Программа может распознавать шрифты ра-
змером от 6 до 72 пунктов на 11 западноевропейских языках и автоматичес-
ки преобразовывать текст, набранный в несколько колонок. Она также  рас-
познает включенные  в текст  графические фрагменты  и запоминает  их как
TIFF файлы. Parallel Reader включает на компьютер 80386SX с 40 М винчестером
, VGA, четырьмя дополнительными платами параллельных процессоров ра-
спознавания  и  программой  Parallel  Reader, работающей под управлением
Windows version 3.0. Цена комплекта 10995 долларов. Поддерживаются  ска-
неры Hewlett-Packard, Microtec и Fujitsu.

=======================  WINDOWS 3.0 НАСТУПАЮТ =========================

   Продажа  двух  миллионов  копий  пакета  Windows  3.0 позволила фирме
Microsoft увеличить свои доходы  на 53%. Компания продолжает  шокировать
Уолл-стрит своими финансовыми успехами. По сообщению фирмы, доход за че-
твертый квартал 1990 г. составил 460,5 млн. долл. при доходе за аналоги-
чный период предыдущего года "всего" в 300,4 млн.
   Windows 3.0 поступил в продажу в мае 1990 г. Пакет, наконец,  предос-
тавил пользователям  интерфейс, который  по простоте  может сравниться с
Macintosh. С тех пор появилось более 1000 программ, специально  написан-
ных или доработанных для работы в среде Windows.

                                    Newsbytes News Network, 21 Jan, 1991

   Фирма Microsoft выпустила Microsoft Project for Windows,  графический
пакет для автоматизации управления ресурсами. Эта программа последняя  в
ряду выпущенных фирмой для Windows. Другие уже продающиеся программы  --
Microsoft Excel  и Microsoft  Word for  Windows. Все  программы в  среде
Windows имеют одинаковый пользовательский интерфейс, позволяющий  произ-
водить  общеупотребительные  действия  стандартным  образом. Стандартный
графический интерфейс своей простотой сильно увеличивает  продуктивность
труда. Он  позволяет легко  перемещать данные  между различными  Windows
программами. Пакет  будет стоить  1105 долларов,  для зарегистрированных
пользователей 330 долларов.

                                          Desktop Magazine, October 1990

   Фирма Microsoft выпустила версию 3.0 своей программы работы с  табли-
цами Excel. Она содержит ряд новых элементов, которые позволят  серьезно
потеснить конкурентов. Новая версия была одновременно продемонстрирована
для работы в среде MS-DOS, OS/2 Presentation Manager и Маcintosh.
Среди более чем 100 новых режимов появились такие, как возможность полу-
чения суммы ячеек в строке или столбце с помощью кнопки Autosum, подска-
зки для  пользователей Lotus  1-2-3 и  возможность построения трехмерных
графиков, которые можно вращать  прямо на экране. Кроме  того, полностью
поддерживается  новый  протокол  связи  и  объединения  объектов   фирмы
Microsoft  (Object  Linking  and  Embedding (OLE)), посредством которого
прикладные программы в среде Windows могут вызывать друг друга и переда-
вать необходимые данные. Второй  и последний на сегодняшний  день пакет,
поддерживающий этот протокол, - это PowerPoint фирмы Microsoft, предназ-
наченный для создания цветных графических изображений. Все прочие  прог-
раммы  компании  используют  динамический  обмен  данными  Dynamic  Data
Exchange (DDE) -  более ранний и  менее изысканный подход  к интеграции.
"Microsoft была поставлена перед фактом, что Lotus остается самой  попу-
лярной табличной  программой, а  среди текстовых  процессоров первенство
держит WordPerfect. Однако теперь, после появления Word for Windows, со-
вместно работающих Excel и PowerPoint, фирме представился реальный  шанс
коренным образом изменить эту тенденцию", - сказал Джон Стаэл, президент
фирмы Store Board Computer Intelligence. Еще одним важным моментом явля-
ется то, что новая программа работает и в среде Windows, поддерживая ин-
терфейс New-Wave фирмы Hewlett-Packard.  И хотя Lotus имеет  графическую
версию своей табличной программы, Windows в ней не поддерживается. Среди
новых режимов - средства рисования и возможность использования графичес-
ких изображений из Windows Clipboard. Пользователь может выбрать 68 раз-
личных типов графиков.  Версия для Windows  3.0 продается уже  сейчас, а
поставки двух других версий начнутся в первой половине 1991 г. В США па-
кет будет стоить 495 долл. Зарегистрированные пользователи Windows  смо-
гут  приобрести  пакет  по  цене  129  долл.,  а те, кто купил Excel for
Windows 2.1 в период с 7 декабря  1990 г. по 16 апреля 1991 г.,  - всего
за 50 долл. В этом году ожидается также появление французской, немецкой,
шведской, итальянской, испанской и датской версий продукта. Новый  режим
International Macro Sheets позволит создавать макрокоманды, которые оди-
наково будут работать во всех версиях, независимо от страны-производите-
ля. Продажа английской версии начинается в 19 странах мира.

                                    Newsbytes News Network, 10 Jan, 1991


   Несмотря  на  ряд  объявлений  о  скором  появлении  версии Microsoft
Windows с вводом информации "электронным пером", по-видимому она появит-
ся не  ранее, чем  через год.  Представители фирмы  также не подтвердили
слухи об активно ведущейся  разработке 32-разрядной версии Windows.  Как
сообщил представитель Microsoft Конни Балмер, версия с вводом рукописной
информации будет представлять собой расширение Windows 3.1  (планируемой
улучшенной версии Windows 3.0). "Мы сообщили об этом ряду представителей
прессы и экспертам, продемонстрировав при этом альфа-версию". (Альфа-ве-
рсия - тестовая версия, проверяемая специалистами фирмы, а бета-версия -
почти законченный вариант, передаваемый для испытаний независимым экспе-
ртам). Система получила название  Pen Windows. Ее особенностью  является
возможность ввода информации и команд  не только с помощью клавиатуры  и
мыши, но и путем распознавания обычного рукописного текста. На сегодняш-
ний день Pen Windows способна воспринимать только строчные печатные бук-
вы. Pen Windows, по  сообщениям, будет понимать и  "редакторские жесты",
такие, как зачеркивание  части текста для  его удаления или  обведение в
рамку для выделения. Чтобы обеспечить выполнение этих команд, к нынешним
550 встроенным функциям Windows 3.0 добавятся еще около 35.

                                    Newsbytes News Network, 22 Jan, 1991


=========================== PAGEMAKER 4.0 ==============================

   Как сообщается, новая версия издательского пакета Pagemaker для  пер-
сональных компьютеров фирмы IBM  уже практически готова. После  того как
версии продукта для PC и Macintosh впервые были продемонстрированы прес-
се, представители фирмы Aldus объясняли, что выпуск в свет PC-версии от-
кладывается в связи с задержкой Windows 3.0. Но вот Windows уже в прода-
же, а долгожданной PageMaker 4.0 все еще нет. Теперь компания  заявляет,
что за такое короткое  время внести изменения и  добавления, необходимые
для конкуренции с последней версией пакета Ventura Publisher было просто
невозможно. Ожидается, что версия  для PC, которую намечено  выпустить в
феврале, будет отличаться от программы для Mac. Среди возможностей  вер-
сии  -  с  нетерпением  ожидаемые пользователями программы типографского
цветоделения, создания индексов, взаимосвязь нескольких файлов и  встро-
енный текстовый процессор. В Австралии новая версия будет продаваться за
1295 австралийских долларов вместо 1595 долл. - стоимости нынешней  вер-
сии 3.01.

                                    Newsbytes News Network, 21 Jan, 1991

======== НА ТЕПЛОХОДЕ МУЗЫКА ИГРАЕТ, А МЫ ОДНИ СТОИМ НА БЕРЕГУ =========
===== (ТОЛЬКО ДЛЯ ЗАПАДНЫХ ПРОГРАММИСТОВ, ЖУРНАЛИСТОВ И БИЗНЕСМЕНОВ) ===

   В продажу поступил компьютер-записная книжка Venture 16SX Notebook PC
фирмы Advanced Logic Research. Его цена - 2795 долл., вес 3,15 кг,  раз-
мер 30х21,8х5 см. По  словам вице-президента фирмы Дейва  Кирки, размеры
компьютера позволяют переносить его в дипломате средних размеров. Машина
выпущена на базе процессора 386SX/16. Емкость ОЗУ - 1 Мбайт с возможнос-
тью расширения до 5 Мбайт; имеется жидкокристаллический дисплей с  подс-
веткой, диагональ экрана - 21,6 см.  Время работы от батарей - до  3 ча-
сов.
                                    Newsbytes News Network, 2 Jan, 1991

=====================ДЕФИЦИТ БЫВАЕТ НЕ ТОЛЬКО У НАС ====================

   По имеющимся данным, дефицит процессоров Intel 80386SX серьезно  зат-
рагивает интересы компаний, занимающихся продажей последних версий  ком-
пьютеров-записных книжек.

                                       Wall Street Journal, 18 Jan, 1991

   Фирма Compaq не может удовлетворить спрос на переносной (laptop) ком-
пьютер LTE 386/20 с 60-мегабайтным винчестером "из-за дефицита  ключевых
компонентов". Цена компьютера - 6000 долл.

                                       Wall Street Journal, 16 Jan, 1991


============== ПОПОЛНЯТ ЛИ ПРОГРАММИСТЫ АРМИЮ БЕЗРАБОТНИХ ? ============

   По оценке министерства торговли США, темпы роста компьютерной индуст-
рии будут по-прежнему высокими, несмотря на снижение общих темпов разви-
тия экономики. Ожидается также, что доходы от продажи аппаратного  обес-
печения возрастут на 5,9%, микросхем -  на 9, а доходы от продажи  прог-
рамм - на 20%.

                                              Computerworld, 7 Jan, 1991

************** ПОЖИЛЫЕ СОВЕТСКИЕ ПРОГРАММИСТЫ-ЭМИГРАНТЫ ****************
************ ИСПЫТЫВАЮТ ТРУДНОСТИ С УСТРОЙСТВОМ НА РАБОТУ **************

  Советским программистам, эмигрировавшим в США, становится трудно найти
работу по специальности без рекомендаций. А получить рекомендации невоз-
можно без устройства на работу. При отсутствии родственников  получается
замкнутый круг, выйти из которого не просто. На знакомых особенно рассчи-
тывать не приходится. Это особенно касается тех, кому под или за  сорок,
независимо от уровня их квалификации. В условиях спада наблюдается заме-
тное усиление русофобии  и антисемитизма нанимателей.  Приток эмигрантов
из СССР все чаще рассматривается как угроза рабочим местам коренных аме-
риканцев.

                                                                   Б.Н.Н.

П р и м е ч а н и е.

  Сообщения, заголовки  которых выделены  знаками "="  (равно), получены
при содействии редакции журнала КомпьютерПресс. Заголовки сообщений при-
надлежат составителю.
